Subject: Re: [pim] the comments for draft-ietf-pim-igmp-mld-snooping-yang-01

From: "Holland, Jake" <[email-masked]>
Date: Fri, 23 Mar 2018 09:21:35 +0000

Hi Hongji,

I will rephrase my comment.

Here’s the full text of the security considerations section for igmp-mld-snooping-yang-01:
<q>
4. Security Considerations
   The data model defined does not create any security implications.
</q>

RFC 3552 is a BCP that provides requirements on all authors of internet standards (e.g. in sections 4.6 and 5), and it looks to me like the current section 4 in igmp-mld-snooping-yang does not meet those requirements.

I’m suggesting that even though the guidelines for yang reviewers and authors described in RFC 6087 are not normative, section 3.4 of RFC 6087 provides some suggestions that are worth considering, in order to improve the security considerations section of this draft.

Thanks and regards,
Jake

On 3/23/18, 6:26 AM, "Hongji Zhao" <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

On reviewing the video of pim meeting in London IETF101  I heard the comments for draft-ietf-pim-igmp-mld-snooping-yang-01.

The comments seems that the draft doesn’t follow the Security Considerations model. Does it refer to the 3.4.  Security Considerations Section in RFC6087?

Thanks a lot!

BR/Hongji
赵宏吉

---

From: Hongji Zhao <[email-masked]>
Date: Fri, 23 Mar 2018 09:33:09 +0000

Hi Jake,

Thanks for your comments. I will modify the draft according them.  😊

BR/Hongji
赵宏吉

From: Holland, Jake [mailto:[email-masked]]
Sent: Friday, March 23, 2018 5:22 PM
To: Hongji Zhao <[email-masked]>; [email-masked]
Subject: Re: [pim] the comments for draft-ietf-pim-igmp-mld-snooping-yang-01

Hi Hongji,

Thanks and regards,
Jake

Hi,

Thanks a lot!

BR/Hongji
赵宏吉

---

From: "Holland, Jake" <[email-masked]>
Date: Fri, 23 Mar 2018 14:48:20 +0000

Hi Hongji,

I need to amend my comment one more time.

Since writing the previous email, I’ve noticed that there’s a better reference here:
https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines

This is referenced as [YANG-SEC] by the current RFC Style Guide:
https://tools.ietf.org/html/rfc7322#section-4.8.5

Please disregard my previous mention of RFC 6087, in favor of this newer reference which has been more recently considered and approved by the Security ADs. It looks to me like the content is roughly similar, but if I understand correctly, anywhere they differ, the latest yang-security-guidelines supersedes the non-normative advice in RFC 6087.

Thanks again, and sorry for the confusion.

Best Regards,
Jake

On 3/23/18, 9:33 AM, "Hongji Zhao" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Jake,

BR/Hongji
赵宏吉

Hi Hongji,

Thanks and regards,
Jake

Hi,

Thanks a lot!

BR/Hongji
赵宏吉